package com.usoftchina.bi.server.model.vo.configVo;

public class DashboardsInfo {
    private int id;
    private String bdName;
    private String bdNote;
    private String bdConfiguration;
    private String thumbnail;
    private String createBy;
    private int createId;
    private String relationColumns;
    private String filters;
    private String chartIds;
    private String bdCode;
    private int menuId;

    public int getMenuId() {
        return menuId;
    }

    public void setMenuId(int menuId) {
        this.menuId = menuId;
    }

    public String getBdCode() {
        return bdCode;
    }

    public void setBdCode(String bdCode) {
        this.bdCode = bdCode;
    }

    public String getChartIds() {
        return chartIds;
    }

    public void setChartIds(String chartIds) {
        this.chartIds = chartIds;
    }

    public String getFilters() {
        return filters;
    }

    public void setFilters(String filters) {
        this.filters = filters;
    }

    public String getRelationColumns() {
        return relationColumns;
    }

    public void setRelationColumns(String relationColumns) {
        this.relationColumns = relationColumns;
    }

    public int getCreateId() {
        return createId;
    }

    public void setCreateId(int createId) {
        this.createId = createId;
    }

    public String getThumbnail() {
        return thumbnail;
    }

    public void setThumbnail(String thumbnail) {
        this.thumbnail = thumbnail;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getBdName() {
        return bdName;
    }

    public void setBdName(String bdName) {
        this.bdName = bdName;
    }

    public String getBdNote() {
        return bdNote;
    }

    public void setBdNote(String bdNote) {
        this.bdNote = bdNote;
    }

    public String getBdConfiguration() {
        return bdConfiguration;
    }

    public void setBdConfiguration(String bdConfiguration) {
        this.bdConfiguration = bdConfiguration;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    @Override
    public String toString() {
        return "DashboardsInfo{" +
                "id=" + id +
                ", bdName='" + bdName + '\'' +
                ", bdNote='" + bdNote + '\'' +
                ", bdConfiguration=" + bdConfiguration +
                ", createBy='" + createBy + '\'' +
                '}';
    }
}
